/* 40vxbAccesDio.cdf - Component Description File */

/* Copyright (c) 2018, ACCES I/O Products, Inc.
 *
 * The right to copy, distribute, modify, or otherwise make use of this software 
 * may be pursuant to the terms of an applicable ACCES I/O Products, Inc. 
 * (ACCES) license agreement, or in the absence of such agreement, is limited to
 * use with ACCES hardware products.
 */

/*
modification history
--------------------
05may18,acc  Written.
*/

Component DRV_ACCES_DIO_PCI {
	NAME            ACCES DIO PCI driver
    SYNOPSIS        Driver for ACCES I/O Products DIO cards for a PCI bus, \
                    including the ACCES [m]PCIe-DIO-xxx family. 
    MODULES         vxbAccesDio.o
    LINK_SYMS       AccesDioPciDrv
    _CHILDREN       FOLDER_DRIVERS_GPIO
    INIT_RTN		accesDioPciDrvInit();
    PROTOTYPE		void accesDioPciDrvInit(void);
	_INIT_ORDER		usrRoot
    REQUIRES		INCLUDE_VXBUS
    INIT_BEFORE		INCLUDE_VXBUS
}

/*
DESCRIPTION

Quick Summary
-------------

A component description file (CDF) is required for each component (comprising
one or more object files) to be included in an image. Explanation of the 
statements above are as follows. For additional details, consult ACCES I/O 
Products or VxWorks 7 documentation.  "KCE": "Kernel Configuration Editor".

Component   DRV_ACCES_DIO				Displays as the Name in the KCE tree.
	NAME	    ACCES DIO PCI driver	Short description in the KCE tree.
	SYNOPSIS	...						Displays in the KCE when the component
										is added.
	MODULES	    vxbAccesDioDrv.o		Stand-along driver file with all user-
										callable functions.
	LINK_SYMS   AccesDioPciDrv			Must match identifier in vxbAccesDio.c
										VXB_DRV_DEF(AccesDioPciDrv) statement.
	_CHILDREN   FOLDER_DRIVERS_GPIO		Locates DRV_ACCES_DIO in the KCE tree
										as a child of (due to the "_") the
										GPIO drivers folder.
	INIT_RTN    accesDioPciDrvInit(); 	Function in vxbAccesDioDrv.o to:
										1) cause the driver to load (!), and
										2) initialize the driver.
										(Parens and semicolon at end REQUIRED).
    PROTOTYPE	STATUS accesDioPciDrvInit(void);
    									Prototype for that initialization 
    									function (semicolon at end REQUIRED).
    _INIT_ORDER usrRoot					Call that funcion from generated
										function VIP:prjConfig.o:usrRoot(). 
	REQUIRES    INCLUDE_VXBUS			Ensures the INCLUDE_VXBUS component is
										included in the configuration.							
    INIT_BEFORE INCLUDE_VXBUS			Call that initialization function before
    									calling the VxBus driver initializer. 
*/